Bug 95071 - Cannot open a particular Word 2010 docx document (SAXParseException line 2)
Summary: Cannot open a particular Word 2010 docx document (SAXParseException line 2)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: All All
: medium major
Assignee: Mike Kaganski
URL:
Whiteboard: target:5.1.0 target:5.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-10-14 20:51 UTC by Jean-François Fortin Tam
Modified: 2016-10-25 19:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (271.18 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-14 20:51 UTC, Jean-François Fortin Tam
Details
console logs (3.69 KB, text/plain)
2015-10-14 21:22 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2015-10-14 20:51:10 UTC
Created attachment 119620 [details]
sample file

When trying to open the attached document with LOo 5.0.2.2, I get an error dialog that says:

"Erreur de format de fichier à la position 
SAXParseException: '[word/document.xml line 2]: unknown error', Stream 'word/document.xml', Line 2, Column 21112(row,col)."

Which translates to:
"File format error at position
[...]"
Comment 1 Julien Nabet 2015-10-14 21:22:23 UTC
Created attachment 119621 [details]
console logs

On pc Debian x86-64 with master sources updated today, I could reproduce this.

I attached console logs
Comment 2 MM 2015-10-15 18:30:37 UTC
Unconfirmed with v4.4.6.1 under mint 17.2 x64.
Unconfirmed with v4.4.6.1 under windows 7 x64.
Confirmed with v5.0.3.1 under mint 17.2 x64.

Set as regression.
Comment 3 raal 2015-10-20 07:56:12 UTC
This seems to have begun at the below commit.
Adding Cc: to mstahl@redhat.com ; Could you possibly take a look at this one? Thanks


07335c0a11142b308d6d73dd6a7176e52e5a483f is the first bad commit
commit 07335c0a11142b308d6d73dd6a7176e52e5a483f
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed May 20 02:03:48 2015 -0500

    source sha:ebf767eeb2a169ba533e1b2ffccf16f41d95df35

    source sha:ebf767eeb2a169ba533e1b2ffccf16f41d95df35

	author	Michael Stahl <mstahl@redhat.com>	2015-01-22 11:50:07 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2015-01-22 12:58:10 (GMT)
commit	ebf767eeb2a169ba533e1b2ffccf16f41d95df35 (patch)
writerfilter: DOCX import: better error handling than "catch (...) {}"
Comment 4 Mike Kaganski 2015-10-25 05:59:31 UTC
A patch is submitted to gerrit:
https://gerrit.libreoffice.org/19586
Comment 5 Commit Notification 2015-11-10 07:40:55 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=061d98ccc7fc95234514d5dee3d9e80e49b10dc7

tdf#95071: fix spacing calculations for border with page offset

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2015-11-12 16:07:00 UTC
I guess it's fixed, I can open a document.
Comment 7 Julien Nabet 2015-11-12 19:44:26 UTC
Gerrit review for 5.0 branch:
https://gerrit.libreoffice.org/#/c/19939/
Comment 8 Julien Nabet 2015-11-12 19:48:29 UTC
(In reply to Julien Nabet from comment #7)
> Gerrit review for 5.0 branch:
> https://gerrit.libreoffice.org/#/c/19939/

Sorry, I wasn't on the right branch.
The right cherry-pick is https://gerrit.libreoffice.org/#/c/19940
Comment 9 Commit Notification 2015-11-12 22:42:39 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=78f90a6db00b5dd69bb14178a8b31fc0f845d59c&h=libreoffice-5-0

tdf#95071: fix spacing calculations for border with page offset

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 10:34:31 UTC Comment hidden (obsolete)